Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 22 Aug 2021 07:41:14 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery You are providing the worst experience ever in this world through your call center, chat and delivery.
I have placed an order 9688936511 and I had to get it on Sat, Aug 21st as per the website cart page in checkout phase and the order went out for delivery  on Aug 21st at 10 AM which means I should get it on the same day, but eventually I got a message says that I am missed from the delivery :D

I contacted your call center and chat agents, both are really useless and nothing useful was being provided by them, they just say sorry, but they cannot say when the order will be delivered and they could not contact the delivery provider. They kept saying the delivery may take 2-3 business day, and this is a lie website mentioned the opposite, and if they are true, why the order was shipped on Friday?

On the other hand, there was an order 9688923769 I placed by mistake few mins before the above one, and I cancelled it from the website, but when I asked Mayar chat agent to provide me the bank transaction id for the refund process, she mentioned that we didn't collect the money to refund it back, which doesn't make any sense to me because how do you ship an order which you didn't confirm it with the bank.

AGAIN ... YOU ARE PROVIDING THE WORST EXPERIENCE EVER. I will request to delete my data once I get my order and this will be escalated very well to the top management. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3006357